﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Syncfusion.Windows.Shared;

namespace TreeViewAdv_133774
{
    public class Model : NotificationObject
    {
        public Model()
        {
            models = new ObservableCollection<Model>();
        }

        /// <summary>
        /// Property which stores Header for TreeViewItemAdv
        /// </summary>
        private string header;

        public string Header
        {
            get
            {
                return header;
            }

            set
            {
                header = value;
                this.RaisePropertyChanged(() => this.Header);
            }
        }


        /// <summary>
        /// Property which stores Models collection
        /// </summary>
        private ObservableCollection<Model> models;

        public ObservableCollection<Model> Models
        {
            get
            {
                return models;
            }

            set
            {
                models = value;
            }
        }
    }
}
